# Uses of Class
net.shibboleth.idp.profile.audit.impl.WriteAuditLog

Packages that use WriteAuditLog
Package
Description
net.shibboleth.idp.authn.impl
Implementation of various authentication actions.

## Uses of WriteAuditLog in net.shibboleth.idp.authn.impl

Fields in net.shibboleth.idp.authn.impl declared as WriteAuditLog
Modifier and Type
Field
Description
`private WriteAuditLog`
AbstractAuditingValidationAction.`writeAuditLogAction`
Optional audit output action.
Methods in net.shibboleth.idp.authn.impl with parameters of type WriteAuditLog
Modifier and Type
Method
Description
`void`
AbstractAuditingValidationAction.`setWriteAuditLogAction(WriteAuditLog action)`
Sets an audit output action to run.